## encfs 1.9.2

=== CMakeLists.txt ===
# 3.0.2 preferred, but we can often get by with 2.8.
cmake_minimum_required(VERSION 2.8)
if (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION} LESS 3.0.2)
  message(WARNING "You should use cmake 3.0.2 or newer for configuration to run correctly.")
endif()

project(EncFS C CXX)

set (ENCFS_MAJOR 1)
set (ENCFS_MINOR 9)
set (ENCFS_PATCH 2)
set (ENCFS_VERSION "${ENCFS_MAJOR}.${ENCFS_MINOR}.${ENCFS_PATCH}")
set (ENCFS_SOVERSION "${ENCFS_MAJOR}.${ENCFS_MINOR}")
set (ENCFS_NAME "Encrypted Filesystem")

option(IWYU "Build with IWYU analysis." OFF)

set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}
  "${CMAKE_CURRENT_LIST_DIR}/cmake")

option (BUILD_SHARED_LIBS "build shared libraries" OFF)
option (USE_INTERNAL_TINYXML "use built-in TinyXML2" ON)
option (ENABLE_NLS "compile with Native Language Support (using gettext)" ON)
option (INSTALL_LIBENCFS "install libencfs" OFF)

if (NOT DEFINED LIB_INSTALL_DIR)
  set (LIB_INSTALL_DIR lib)
endif ()

# We need C++ 11
if (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} GREATER 3.0)
  # CMake 3.1 has built-in CXX standard checks.
  set(CMAKE_CXX_STANDARD 11)
  set(CMAKE_CXX_STANDARD_REQUIRED on)
else ()
  if (CMAKE_COMPILER_IS_GNUCXX)
    message ("** Assuming that GNU CXX uses -std=c++11 flag for C++11 compatibility.")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
  elseif (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    message ("** Assuming that Clang uses -std=c++11 flag for C++11 compatibility.")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
  else()
    message ("** No CMAKE C++11 check. If the build breaks, you're on your own.")
  endif()
endif ()

add_definitions( -DPACKAGE="encfs" )

# http://www.cmake.org/Wiki/CMake_RPATH_handling#Mac_OS_X_and_the_RPATH
if (APPLE)
   set(CMAKE_MACOSX_RPATH ON)
   set(CMAKE_SKIP_BUILD_RPATH FALSE)
   set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
   set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}")
   set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
   list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}" isSystemDir)
   if("${isSystemDir}" STREQUAL "-1")
     set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}")
   endif()
endif()

# Check for FUSE.
find_package (FUSE REQUIRED)
include_directories (${FUSE_INCLUDE_DIR})
add_definitions (-D_FILE_OFFSET_BITS=64 -DFUSE_USE_VERSION=26)

# Check for OpenSSL.
find_package (OpenSSL REQUIRED)
include_directories (${OPENSSL_INCLUDE_DIR})

if (USE_INTERNAL_TINYXML)
  message("-- Using local TinyXML2 copy")
  add_subdirectory(internal/tinyxml2-3.0.0)
  include_directories(${CMAKE_CURRENT_LIST_DIR}/internal/tinyxml2-3.0.0)
  link_directories(${CMAKE_BINARY_DIR}/internal/tinyxml2-3.0.0)
  set(TINYXML_LIBRARIES tinyxml2)
else ()
  find_package (TinyXML REQUIRED)
  include_directories (${TINYXML_INCLUDE_DIR})
endif ()

find_program (POD2MAN pod2man)

# Check for include files and stdlib properties.
include (CheckIncludeFileCXX)
check_include_file_cxx (attr/xattr.h HAVE_ATTR_XATTR_H)
check_include_file_cxx (sys/xattr.h HAVE_SYS_XATTR_H)

# Check if xattr functions take extra arguments, as they do on OSX.
include (CheckCXXSourceCompiles)
check_cxx_source_compiles ("#include <sys/types.h>
  #include <sys/xattr.h>
  int main() { getxattr(0,0,0,0,0,0); return 1; }
  " XATTR_ADD_OPT)

# Check if xattr function llistxattr exists.
include (CheckCXXSourceCompiles)
if (XATTR_ADD_OPT)
check_cxx_source_compiles ("#include <sys/types.h>
  #include <sys/xattr.h>
  int main() { llistxattr(0,0,0,0); return 1; }
  " XATTR_LLIST)
else (XATTR_ADD_OPT)
check_cxx_source_compiles ("#include <sys/types.h>
  #include <sys/xattr.h>
  int main() { llistxattr(0,0,0); return 1; }
  " XATTR_LLIST)
endif (XATTR_ADD_OPT)

# Check if we have some standard functions.
include (CheckFuncs)
check_function_exists_glibc (lchmod HAVE_LCHMOD)
check_function_exists_glibc (utimensat HAVE_UTIMENSAT)

set (CMAKE_THREAD_PREFER_PTHREAD)
find_package (Threads REQUIRED)

# Logging.
add_definitions (-DELPP_THREAD_SAFE -DELPP_DISABLE_DEFAULT_CRASH_HANDLING)
add_definitions (-DELPP_NO_DEFAULT_LOG_FILE)
check_include_file_cxx (syslog.h HAVE_SYSLOG_H)
if (HAVE_SYSLOG_H)
  message ("-- Enabled syslog logging support")
  add_definitions(-DELPP_SYSLOG)
endif (HAVE_SYSLOG_H)

# Packaging config.
set (CPACK_PACKAGE_NAME "encfs")
set (CPACK_PACKAGE_VERSION_MAJOR ${ENCFS_MAJOR})
set (CPACK_PACKAGE_VERSION_MINOR ${ENCFS_MINOR})
set (CPACK_SOURCE_GENERATOR TGZ)
set (CPACK_SOURCE_IGNORE_FILES
  "/build/")
include (CPack)

# Compile-time configuration.
configure_file (${CMAKE_CURRENT_LIST_DIR}/config.h.cmake
  ${CMAKE_BINARY_DIR}/config.h)

include_directories (${CMAKE_BINARY_DIR})
include_directories (${CMAKE_CURRENT_LIST_DIR})

# Translations
if (ENABLE_NLS)
  find_package (Intl)
  if (Intl_FOUND)
    include_directories (${Intl_INCLUDE_DIRS})
  endif()

  add_subdirectory(po)

  add_definitions(-DENABLE_NLS)
  add_definitions(-DLOCALEDIR="${CMAKE_INSTALL_PREFIX}/share/locale")
endif (ENABLE_NLS)

set(SOURCE_FILES
  internal/easylogging++.cc
  encfs/autosprintf.cpp
  encfs/base64.cpp
  encfs/BlockFileIO.cpp
  encfs/BlockNameIO.cpp
  encfs/Cipher.cpp
  encfs/CipherFileIO.cpp
  encfs/CipherKey.cpp
  encfs/ConfigReader.cpp
  encfs/ConfigVar.cpp
  encfs/Context.cpp
  encfs/DirNode.cpp
  encfs/encfs.cpp
  encfs/Error.cpp
  encfs/FileIO.cpp
  encfs/FileNode.cpp
  encfs/FileUtils.cpp
  encfs/Interface.cpp
  encfs/MACFileIO.cpp
  encfs/MemoryPool.cpp
  encfs/NameIO.cpp
  encfs/NullCipher.cpp
  encfs/NullNameIO.cpp
  encfs/openssl.cpp
  encfs/RawFileIO.cpp
  encfs/readpassphrase.cpp
  encfs/SSL_Cipher.cpp
  encfs/StreamNameIO.cpp
  encfs/XmlReader.cpp
)
add_library(encfs ${SOURCE_FILES})
set_target_properties(encfs PROPERTIES
  VERSION ${ENCFS_VERSION}
  SOVERSION ${ENCFS_SOVERSION})
target_link_libraries(encfs
  ${FUSE_LIBRARIES}
  ${OPENSSL_LIBRARIES}
  ${TINYXML_LIBRARIES}
  ${CMAKE_THREAD_LIBS_INIT}
  ${Intl_LIBRARIES}
)
if (INSTALL_LIBENCFS)
  install (TARGETS encfs DESTINATION ${LIB_INSTALL_DIR})
endif (INSTALL_LIBENCFS)

if (IWYU)
  if (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} GREATER 3.2)
    find_program(iwyu_path NAMES include-what-you-use iwyu)
    if (iwyu_path)
      message ("-- Enabled IWYU")
      set_property(TARGET encfs PROPERTY CXX_INCLUDE_WHAT_YOU_USE ${iwyu_path})
    endif()
  endif()
endif()


# Set RPATH to library install path.
set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}")

add_executable (encfs-bin encfs/main.cpp)
target_link_libraries (encfs-bin encfs)
set_target_properties (encfs-bin PROPERTIES OUTPUT_NAME "encfs")
install (TARGETS encfs-bin DESTINATION bin)

add_executable (encfsctl encfs/encfsctl.cpp)
target_link_libraries (encfsctl encfs)
install (TARGETS encfsctl DESTINATION bin)

add_executable (makekey encfs/makeKey.cpp)
target_link_libraries (makekey encfs)

add_executable (checkops encfs/test.cpp)
target_link_libraries (checkops encfs)

install (FILES encfs/encfssh DESTINATION bin)

# Reference all headers, to make certain IDEs happy.
file (GLOB_RECURSE all_headers ${CMAKE_CURRENT_LIST_DIR}/*.h)
add_custom_target (all_placeholder SOURCES ${all_headers})

if (POD2MAN)
  add_custom_target (encfs-man ALL
    COMMAND ${POD2MAN} -u --section=1 --release=${ENCFS_VERSION} --center=${ENCFS_NAME}
            ${CMAKE_CURRENT_LIST_DIR}/encfs/encfs.pod encfs.1)

  add_custom_target (encfsctl-man ALL
    COMMAND ${POD2MAN} -u --section=1 --release=${ENCFS_VERSION} --center=${ENCFS_NAME}
            ${CMAKE_CURRENT_LIST_DIR}/encfs/encfsctl.pod encfsctl.1)

  install (FILES ${CMAKE_BINARY_DIR}/encfs.1 ${CMAKE_BINARY_DIR}/encfsctl.1
    DESTINATION share/man/man1)
endif (POD2MAN)

# Tests
enable_testing()

if (CMAKE_CONFIGURATION_TYPES)
    add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND}
        --force-new-ctest-process --output-on-failure
        --build-config "$<CONFIGURATION>")
else()
    add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND}
        --force-new-ctest-process --output-on-failure)
endif()

add_test (NAME checkops
          COMMAND checkops)

find_program (PERL_PROGRAM perl)
if (PERL_PROGRAM)
  file(GLOB pl_test_files "tests/*.t.pl")
  add_test (NAME scriptedtests
            WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
            COMMAND ${PERL_PROGRAM}
               -MTest::Harness
               -e "$$Test::Harness::verbose=1; runtests @ARGV;"
               ${pl_test_files})
endif (PERL_PROGRAM)

=== internal/tinyxml2-3.0.0/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6 FATAL_ERROR)
cmake_policy(VERSION 2.6)

project(tinyxml2)
include(GNUInstallDirs)
#enable_testing()

#CMAKE_BUILD_TOOL

################################
# set lib version here

set(GENERIC_LIB_VERSION "3.0.0")
set(GENERIC_LIB_SOVERSION "3")


################################
# Add common source 

include_directories("${CMAKE_CURRENT_SOURCE_DIR}/.")

################################
# Add custom target to copy all data

set(TARGET_DATA_COPY DATA_COPY)
if(${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_BINARY_DIR})
	add_custom_target(
		${TARGET_DATA_COPY}
	 	COMMAND ${CMAKE_COMMAND} -E echo "In source build")
else(${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_BINARY_DIR})
	make_directory(${CMAKE_CURRENT_BINARY_DIR}/resources/)
	add_custom_target(
		${TARGET_DATA_COPY}
		COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/resources/dream.xml ${CMAKE_CURRENT_BINARY_DIR}/resources/
		COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/resources/empty.xml ${CMAKE_CURRENT_BINARY_DIR}/resources/
		COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/resources/utf8test.xml ${CMAKE_CURRENT_BINARY_DIR}/resources/
		COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/resources/utf8testverify.xml ${CMAKE_CURRENT_BINARY_DIR}/resources/)
endif(${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_BINARY_DIR})

################################
# Add definitions

if(MSVC)
	add_definitions(-D_CRT_SECURE_NO_WARNINGS)
endif(MSVC)

################################
# Add targets
option(BUILD_SHARED_LIBS "build shared or static libraries" OFF)
add_library(tinyxml2 tinyxml2.cpp tinyxml2.h)
set_target_properties(tinyxml2 PROPERTIES
        COMPILE_DEFINITIONS "TINYXML2_EXPORT"
	VERSION "${GENERIC_LIB_VERSION}"
	SOVERSION "${GENERIC_LIB_SOVERSION}")

add_executable(xmltest xmltest.cpp)
add_dependencies(xmltest tinyxml2)
add_dependencies(xmltest ${TARGET_DATA_COPY})
target_link_libraries(xmltest tinyxml2)


#install(TARGETS tinyxml2
#        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
#        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
#        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

#install(FILES tinyxml2.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

#foreach(p LIB INCLUDE)
#	set(var CMAKE_INSTALL_${p}DIR)
#	if(NOT IS_ABSOLUTE "${${var}}")
#		set(${var} "${CMAKE_INSTALL_PREFIX}/${${var}}")
#	endif()
#endforeach()

#configure_file(tinyxml2.pc.in tinyxml2.pc @ONLY)
#install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tinyxml2.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

#add_test(xmltest ${SAMPLE_NAME} COMMAND $<TARGET_FILE:${SAMPLE_NAME}>)

=== internal/tinyxml2-3.0.0/Makefile ===
all: xmltest
xmltest: xmltest.cpp tinyxml2.cpp tinyxml2.h
test: clean xmltest
	./xmltest
clean:
	rm -f *.o xmltest

## encfs 1.6.1

=== debian/changelog ===
encfs (1.6.1-1) unstable; urgency=low

  * New upstream release
    + contains workarounds for boost transition (closes: #506966)
    + gcc 4.4 fixes integrated (gcc4.4_fix patch disabled)
  * moved from quilt patch system to dpkg "3.0 (quilt)" source format

 -- Eduard Bloch <blade@debian.org>  Sun, 20 Jun 2010 21:30:14 +0200

encfs (1.5.2-3) unstable; urgency=low

  * Enforced use of boost 1.40, libboost-serialization1.42.0 breaks
    backwards compatibility of xml data format (#581203)

 -- Eduard Bloch <blade@debian.org>  Tue, 11 May 2010 23:59:20 +0200

encfs (1.5.2-2+b1) unstable; urgency=low

  * Binary-only non-maintainer upload for amd64; no source changes.
  * Rebuild with new boost-deaults

 -- amd64 Build Daemon (brahms) <buildd_amd64-brahms@buildd.debian.org>  Mon, 10 May 2010 16:05:04 +0000

encfs (1.5.2-2) unstable; urgency=low

  * Rebuild with version dependency on librlog5
  * de.po update from Mathias Klein, removed other de_*.po (closes: #354226)
  * README.Debian updated (closes: #498976), debian/copyright update to GPLv3
  * gcc-4.4 build fix from Klaus Ethgen (closes: #546378)
  * debian/watch update, thanks to Yan Morin (closes: #554492)
  * added lintian overrides to ignore messages related to private shared lib

 -- Eduard Bloch <blade@debian.org>  Thu, 03 Dec 2009 00:05:28 +0100

encfs (1.5.2-1) unstable; urgency=low

  * New upstream release 1.5-2
  * Updated Build-Deps to work with Boost 1.38 packages (closes: #530464)
  * Minor policy/debconf related updates

 -- Eduard Bloch <blade@debian.org>  Mon, 25 May 2009 20:52:38 +0200

encfs (1.4.2-2) unstable; urgency=low

  * added more Boost parts to build-dependencies (closes: #481867)
  * dropped LDFLAGS workarounds since linking list reduction (-Wl,--as-needed)
    wouldn't change much

 -- Eduard Bloch <blade@debian.org>  Thu, 22 May 2008 01:15:04 +0200

encfs (1.4.2-1) unstable; urgency=low

  * New upstream release
    + broken ulockmgr support is gone (closes: #466316, #472697, #465336)

 -- Eduard Bloch <blade@debian.org>  Mon, 19 May 2008 01:41:51 +0200

encfs (1.4.1.1-2) unstable; urgency=low

  * FTBFS fixes by Klaus Ethgen 
    + Adding build dependencies to libboost-dev
    + Fixing pthread issue

 -- Eduard Bloch <blade@debian.org>  Tue, 12 Feb 2008 22:50:32 +0100

encfs (1.4.1.1-1) unstable; urgency=low

  * New upstream release (closes: #460287)
    + allows symlink to root directory (closes: #460047)
  * bashism fix in ecnfssh (using mktemp, closes: #464645)
  * adding missing string.h include directives (closes: #454896)
  * added use of quilt to manage the above
  * added the link to the new "main" homepage, the old ones pointed only to
    the old version

 -- Eduard Bloch <blade@debian.org>  Sun, 10 Feb 2008 21:24:29 +0100

encfs (1.3.2-1-1) unstable; urgency=low

  * New upstream release (closes: #405419)
  * remove recommendation of module building from package description, FUSE is
    in the kernel now (closes: #406233)

 -- Eduard Bloch <blade@debian.org>  Thu, 29 Mar 2007 21:30:16 +0200

encfs (1.2.5-1-1) unstable; urgency=low

  * New upstream release
  * build-dep to conflict with broken libfuse-dev (2.4.0)

 -- Eduard Bloch <blade@debian.org>  Sat, 07 Jan 2006 15:51:59 +0100

encfs (1.2.4.1-2) unstable; urgency=low

  * forcing rebuild with libssl0.9.8

 -- Eduard Bloch <blade@debian.org>  Mon, 10 Oct 2005 13:59:50 +0200

encfs (1.2.4.1-1) unstable; urgency=low

  * New upstream release (1.2.4-1, relabeled as usual)
  * copyright file updates, OpenSSL statement in the README now
  * added fuse-utils dependency (closes: #324997)
  * added watch file

 -- Eduard Bloch <blade@debian.org>  Sun, 04 Sep 2005 10:40:33 +0200

encfs (1.2.3.1-2) unstable; urgency=low

  * g++-4.0 transition: depending on librlog1c2

 -- Eduard Bloch <blade@debian.org>  Wed, 13 Jul 2005 18:55:21 +0200

encfs (1.2.3.1-1) unstable; urgency=low

  * New upstream release 1.2.3-1 (renamed for Debian version consistency)
    + makes return code consistent (closes: #315623)
    + encfsctl.cpp uses correct namespaces (closes: #302197)
    + releases memory after bad access attempts correctly (closes: #308482)
    + fixes rename operation failures on directories with invalid symlinks 
      therein (closes: #315624)
  * forcing g++-3.3 as compiler for now, something is fishy with 3.4/4.0

 -- Eduard Bloch <blade@debian.org>  Mon, 11 Jul 2005 17:31:57 +0200

encfs (1.2.0-3) unstable; urgency=low

  * fixed ugly punctuation errors in the description (closes: #301870)

 -- Eduard Bloch <blade@debian.org>  Tue, 29 Mar 2005 03:33:24 +0200

encfs (1.2.0-2) unstable; urgency=low

  * put the comlete text of the upstream mail with OpenSSL exception into
    debian/copyright

 -- Eduard Bloch <blade@debian.org>  Mon, 28 Mar 2005 00:58:58 +0200

encfs (1.2.0-1) unstable; urgency=low

  * Initial Release (closes: #288081)
  * Got more explicit OpenSSL linking permission in a signed mail, see
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=288081 for details.

 -- Eduard Bloch <blade@debian.org>  Thu, 10 Mar 2005 10:30:54 +0100

=== debian/control ===
Source: encfs
Section: utils
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>= 5.0), librlog-dev, librlog5, libfuse-dev (>> 2.6), libssl-dev (>> 0.9.8), pkg-config, libboost-serialization1.42-dev, libboost-filesystem1.42-dev | libboost-filesystem-dev, quilt
Standards-Version: 3.8.4

Package: encfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fuse-utils
Description: encrypted virtual filesystem
 EncFS integrates file system encryption into the Unix(TM) file system.
 Encrypted data is stored within the native file system, thus no
 fixed-size loopback image is required.
 .
 EncFS uses the FUSE kernel driver and library as a backend.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
#DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

export CFLAGS

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	#-autoreconf -fi
	./configure --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
	touch config.status

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/encfs.sgml > encfs.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	$(MAKE) distclean || true
#ifneq "$(wildcard /usr/share/misc/config.sub)" ""
#	cp -f /usr/share/misc/config.sub config.sub
#endif
#ifneq "$(wildcard /usr/share/misc/config.guess)" ""
#	cp -f /usr/share/misc/config.guess config.guess
#endif
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/encfs.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/encfs
	cp debian/overrides.lintian "$(CURDIR)/debian/encfs/usr/share/lintian/overrides/encfs"

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## encfs 1.7.2

=== debian/changelog ===
encfs (1.7.2-1) unstable; urgency=high

  * New upstream release dealing with security issues (closes: #595998)

 -- Eduard Bloch <blade@debian.org>  Thu, 16 Sep 2010 15:43:04 +0200

encfs (1.7.1-1) experimental; urgency=high

  * New upstream release (closes: #594963)
  * debian/patches/i18n_updates: rediffed to match new offsets
  * debian/rules: now really removing outdated de_* locales files in the
    package (closes: #354226)
  * Updated lintian overrides

 -- Eduard Bloch <blade@debian.org>  Wed, 01 Sep 2010 22:40:26 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Eduard Bloch <blade@debian.org>
 Build-Depends: debhelper (>= 5.0), librlog-dev, librlog5, libfuse-dev (>> 2.6), libssl-dev (>> 0.9.8), pkg-config, libboost-serialization1.42-dev, libboost-filesystem1.42-dev | libboost-filesystem-dev, quilt
 Standards-Version: 3.8.4
+Homepage: http://www.arg0.net/encfs
 
 Package: encfs
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -64,6 +64,7 @@
 	# Add here commands to install the package into debian/encfs.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/encfs
 	cp debian/overrides.lintian "$(CURDIR)/debian/encfs/usr/share/lintian/overrides/encfs"
+	rm -r debian/encfs/usr/share/locale/de_*
 
 # Build architecture-independent files here.
 binary-indep: build install

## encfs 1.7.4

=== debian/changelog ===
encfs (1.7.4-2) unstable; urgency=low

  * Corrected lintian overrides, policy setting

 -- Eduard Bloch <blade@debian.org>  Mon, 27 Dec 2010 21:09:57 +0100

encfs (1.7.4-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Mon, 27 Dec 2010 20:55:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
 Build-Depends: debhelper (>= 5.0), librlog-dev, librlog5, libfuse-dev (>> 2.6), libssl-dev (>> 0.9.8), pkg-config, libboost-serialization1.42-dev, libboost-filesystem1.42-dev | libboost-filesystem-dev, quilt
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.arg0.net/encfs
 
 Package: encfs

=== debian/rules ===
--- 
+++ 
@@ -99,6 +99,7 @@
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
+#	dh_builddeb -v -- -Zlzma -z9
 	dh_builddeb
 
 binary: binary-indep binary-arch

## encfs 1.8.1

=== debian/changelog ===
encfs (1.8.1-3) unstable; urgency=low

  * Enforce GCC5 transition through Build-Depends

 -- Eduard Bloch <blade@debian.org>  Mon, 03 Aug 2015 20:49:51 +0200

encfs (1.8.1-2) unstable; urgency=medium

  * Disabled automatic tests in buildd build (required fuse. Closes: #792061)

 -- Eduard Bloch <blade@debian.org>  Mon, 13 Jul 2015 22:03:31 +0200

encfs (1.8.1-1) unstable; urgency=medium

  * New upstream version
    + supports --delaymount (closes: #724045)
  * New debconf translations:
    Italian (Beatrice Torracca, closes: #765796)
    French (Julien Patriarca, closes: #766018)
    Dutch (Frans Spiesschaert, closes: #766541)
    Portuguese (Traduz!, Ricardo Silva, closes: #767396)
    Spanish (Camaleón, closes: #773460)
  * Spelling error fix in some German translations (closes: #733331)

 -- Eduard Bloch <blade@debian.org>  Tue, 07 Jul 2015 20:03:01 +0200

encfs (1.7.4-5) unstable; urgency=medium

  * Changed the security information message code to display it only once
    (user complaint; this plus the NEWS message are flashy enough)
  * New debconf translations:
    Russian from Yuri Kozlov (closes: #764610)
    Czech from Michal Simunek (closes: #764685)
    Danish from Joe Dalton (closes: #764966)
    German from Chris Leick (closes: #765170)
    Brazilian Portuguese from Adriano Rafael (closes: #765700)

 -- Eduard Bloch <blade@debian.org>  Fri, 17 Oct 2014 21:07:15 +0200

encfs (1.7.4-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on mips and mipsel.
    Add use-pic-flag.patch.
    Patch by Dejan Latinovic <Dejan.Latinovic@imgtec.com>.
    Closes: #765465.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 15 Oct 2014 12:49:40 +0100

encfs (1.7.4-4) unstable; urgency=medium

  * Switched packaging to dh(7) style
  * Enabled hardening
  * Policy standards update
  * Added Debconf warning and explanation in NEWS.Debian about data
    safety issues

 -- Eduard Bloch <blade@debian.org>  Tue, 07 Oct 2014 20:05:57 +0200

encfs (1.7.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "[PATCH] Fixing FTBFS on i386 and kfreebsd-i386":
    - debian/rules: use DEB_HOST_MULTIARCH to tell configure where to find
      boost libraries
    - debian/control: build-depend on dpkg-dev >= 1.16.0
    (Closes: #745792)

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Jul 2014 23:24:43 +0200

encfs (1.7.4-3) unstable; urgency=low

  * NMUs confirmed (closes: #634217, #621181, #613289, #629326)
  * Removed patch with useless config.log inside (closes: #630436)
  * Added workaround for broken boost checks, retrying explicitly with
    multiarch lib directory (closes: #741810)
  * Fixed the second build in a row, ignoring minor mistakes in pod files
    reported with latest pod2man version as fatal error

 -- Eduard Bloch <blade@debian.org>  Wed, 02 Apr 2014 20:35:24 +0200

encfs (1.7.4-2.4) unstable; urgency=low

  * Non-maintainer upload.
  * Add kfreebsd-any to Architecture list, and fix fuse-utils dependency
    to make encfs buildable and installable on GNU/kFreeBSD.  (Closes: #634217)

 -- Robert Millan <rmh@debian.org>  Tue, 29 Nov 2011 06:45:54 +0000

encfs (1.7.4-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Switch to unversioned Boost build-dependencies.
    (Closes: #630436).

 -- Steve M. Robbins <smr@debian.org>  Fri, 22 Jul 2011 23:49:50 -0500

encfs (1.7.4-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Remove references to other libraries from the
    dependency_libs field in libencfs.la (Closes: #621181).

 -- Luk Claes <luk@debian.org>  Thu, 26 May 2011 08:28:55 +0200

encfs (1.7.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use Architecture linux-any, fuse-utils does not exist on
    kfreebsd (Closes: #613289).

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 14 Mar 2011 09:40:16 +0100

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk
-include /usr/share/quilt/quilt.make

#ifeq (,$(findstring mips,$(DEB_HOST_MULTIARCH)))
CFLAGS += -flto
CXXFLAGS += -flto
LDFLAGS += -flto
#endif

%:
	dh $@ --with autotools_dev --with autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	dh_auto_install
	rm -f debian/encfs/usr/lib/libencfs.la

ifneq ($(DOENCFSTESTS),FORCE)
# needs configured fuse -> ignore
override_dh_auto_test:
	true
endif

## encfs 1.9.1

=== debian/changelog ===
encfs (1.9.1-4) unstable; urgency=high

  * Cherry-picked from upstream:
    + Replaced zero_pwd_segfault patch with another fix from upstream branch
      which forces a clean exit instead of a behavior that confused some encfs
      frontends (closes: #853916)
      (source: 5994b28542e7f551b71ac471ff9aacf6dcd5a3b0 / Jakob Unterwurzacher)
    + improve_example: safer command execution example with quotes ("$*")
      (source: ecc364df0d7269c65d2858039aaeaf27ea0e4da6 / Charles Duffy)

 -- Eduard Bloch <blade@debian.org>  Tue, 14 Feb 2017 23:03:28 +0100

encfs (1.9.1-3) unstable; urgency=medium

  * Uploading to Sid
  * Added experimental patches for kFreeBSD support (thanks to Augustin Martin)
  * More bugfixes pulled from upstream branch:
    + remove usage of deprecated RAND_pseudo_bytes
    + Fix a segfault when password is zero length
    + Miscellaneous small man page fixes (mostly typos)

 -- Eduard Bloch <blade@debian.org>  Mon, 12 Dec 2016 17:38:41 +0100

encfs (1.9.1-2) experimental; urgency=low

  * Fixed build-dependencies: cmake 3.2 or newer (closes: #828293)

 -- Eduard Bloch <blade@debian.org>  Tue, 15 Nov 2016 19:48:53 +0100

encfs (1.9.1-1) experimental; urgency=low

  * New upstream release
    + handles recursive directory traversal (closes: #805568)
  * watch file update (closes: #842287)
  * debian/patches/libssl1.1 -- Experimental SSL 1.1 support from
    master branch (closes: #828293)
  * Swedish debconf translation by Jonatan Nyberg (closes: #822102)
  * Require non-ancient version of mount (closes: #628238)

 -- Eduard Bloch <blade@debian.org>  Sun, 30 Oct 2016 23:37:46 +0100

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk
-include /usr/share/quilt/quilt.make

#ifeq (,$(findstring mips,$(DEB_HOST_MULTIARCH)))
CFLAGS += -flto
CXXFLAGS += -flto
LDFLAGS += -flto -Wl,--as-needed
#endif

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_INTERNAL_TINYXML=off -DBUILD_SHARED_LIBS=on -DINSTALL_LIBENCFS=on -DCMAKE_SKIP_RPATH=on

ifneq ($(DOENCFSTESTS),FORCE)
# needs configured fuse -> ignore
override_dh_auto_test:
	true
endif

## encfs 1.9.2

=== debian/changelog ===
encfs (1.9.2-2build2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:49:11 +0000

encfs (1.9.2-2build1) bionic; urgency=medium

  * No-change rebuild for tinyxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2018 06:35:52 +0000

encfs (1.9.2-2) unstable; urgency=low

  * Move encfs library to a custom folder (closes: #871270)
  * linkatomic.patch: attempt to link with libatomic where available but
    reducing linker references where possible (closes: #872565)
  * Swedish translation update by Jonatan Nyberg (closes: #855365)
  * Fixed references to deprecated fuse-utils package (closes: #872332)

 -- Eduard Bloch <blade@debian.org>  Sat, 19 Aug 2017 12:39:00 +0200

encfs (1.9.2-1) unstable; urgency=low

  * New upstream release
  * Verified to build with latest GCC-7 (closes: #853390)
  * Dropped all debian patches (now applied upstream)

 -- Eduard Bloch <blade@debian.org>  Sat, 05 Aug 2017 15:55:43 +0200

=== debian/control ===
Source: encfs
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>= 9.0), libfuse-dev (>> 2.6), libssl-dev (>> 0.9.8), libtinyxml2-dev, dpkg-dev (>= 1.17), cmake (>> 3.2)
Standards-Version: 3.9.8
Homepage: http://www.arg0.net/encfs
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/encfs.git
Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/encfs.git

Package: encfs
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, mount (>> 2.19.1), fuse [linux-any] | fuse4bsd [kfreebsd-any]
Description: encrypted virtual filesystem
 EncFS integrates file system encryption into the Unix(TM) file system.
 Encrypted data is stored within the native file system, thus no
 fixed-size loopback image is required.
 .
 EncFS uses the FUSE kernel driver and library as a backend.
